# Créé le 17/11/2019 avec EduPython
from math import *
def fon(x):
    y=-x**3+10*x+4
    return y
def g(a,b,e):
    while b-a>=e:
        m=(a+b)/2
        if fon(m)*fon(a)>0:
            a=m
        else:
            b=m
    return (a+b)/2










